package com.fs.hisStore.domain;

import com.fs.common.annotation.Excel;
import com.fs.common.core.domain.BaseEntity;

/**
 * 售后子对象 fs_store_after_sales_item
 * 
 * @author fs
 * @date 2022-03-15
 */
public class FsStoreAfterSalesItemScrm extends BaseEntity
{
    private static final long serialVersionUID = 1L;

    /** 主键id */
    private Long id;

    /** 售后id */
    @Excel(name = "售后id")
    private Long storeAfterSalesId;

    /** 商品id */
    @Excel(name = "商品id")
    private Long productId;

    /** 数量 */
    private Integer num;

    /** 退货东西的详情信息 */
    @Excel(name = "退货东西的详情信息")
    private String jsonInfo;

    /** 逻辑删除 */
    @Excel(name = "逻辑删除")
    private Integer isDel;

    public static long getSerialVersionUID() {
        return serialVersionUID;
    }

    public Long getId() {
        return id;
    }

    public void setId(Long id) {
        this.id = id;
    }

    public Long getStoreAfterSalesId() {
        return storeAfterSalesId;
    }

    public void setStoreAfterSalesId(Long storeAfterSalesId) {
        this.storeAfterSalesId = storeAfterSalesId;
    }

    public Long getProductId() {
        return productId;
    }

    public void setProductId(Long productId) {
        this.productId = productId;
    }

    public String getJsonInfo() {
        return jsonInfo;
    }

    public void setJsonInfo(String jsonInfo) {
        this.jsonInfo = jsonInfo;
    }

    public Integer getIsDel() {
        return isDel;
    }

    public void setIsDel(Integer isDel) {
        this.isDel = isDel;
    }

    public Integer getNum() {
        return num;
    }

    public void setNum(Integer num) {
        this.num = num;
    }
}
